/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : February, 1997                                                 */
/* File Name : XbellMF.h                                                  */
/*************************************************************************/
/*************************************************************************/

#ifndef _XBELMF_H
#define _XBELMF_H

#include <iostream.h>
#include "bellMF.h"

class XbellMF : public bellMF
{
   public:

     virtual float getValue(float a);
     virtual Function * getMyTwin();

     //* Constructor

     XbellMF(float,float,float);

     friend ostream& operator<<(ostream&, const XbellMF& );

     virtual void printOn(ostream&) const;

}; // end of class XbellMF

XbellMF::XbellMF(float a1, float a2, float a3) : bellMF(a1,a2,a3) {}

float XbellMF::getValue(float x) { return (x*bellMF::getValue(x)); }

Function * XbellMF::getMyTwin()
{  XbellMF *ret= new XbellMF(getCenter(), getSpread(), getSlope());
   (*ret).setCutOff(getCutOff());
   return ret;
}// end of getMyTwin()

ostream& operator<<(ostream& os, const XbellMF& RHS)
{  RHS.printOn(os);
   return os;
}// end of operator<<


void XbellMF::printOn(ostream& os) const 
{  os << " XBell("<< center << "," << stdeviation;
   os << "," << slope << ") with " << cutOff;
}// end of printOn()

#endif
